- Qt 5.15
- Qt GUI
- C++ Classes
- QStatusTipEvent
- Qt 5.15.18 Reference Documentation

# QStatusTipEvent Class

The QStatusTipEvent class provides an event that is used to show messages in a status bar. More...

Header: | #include <QStatusTipEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QStatusTipEvent(const QString &tip)
QString | tip() const

## Detailed Description

Status tips can be set on a widget using the QWidget::setStatusTip() function. They are shown in the status bar when the mouse cursor enters the widget. For example:

     MainWindow::MainWindow(QWidget *parent)
         : QMainWindow(parent)
     {
         QWidget *myWidget = new QWidget;
         myWidget->setStatusTip(tr("This is my widget."));

         setCentralWidget(myWidget);
         ...
     }

Status tips can also be set on actions using the QAction::setStatusTip() function:

     MainWindow::MainWindow(QWidget *parent)
         : QMainWindow(parent)
     {
         QMenu *fileMenu = menuBar()->addMenu(tr("File"));

         QAction *newAct = new QAction(tr("&New"), this);
         newAct->setStatusTip(tr("Create a new file."));
         fileMenu->addAction(newAct);
         ...
     }

Finally, status tips are supported for the item view classes through the Qt::StatusTipRole enum value.

See also QStatusBar, QHelpEvent, and QWhatsThisClickedEvent.

## Member Function Documentation

### QStatusTipEvent::QStatusTipEvent(const QString &tip)

Constructs a status tip event with the text specified by tip.

See also tip().

### QString QStatusTipEvent::tip() const

Returns the message to show in the status bar.

See also QStatusBar::showMessage().